psorder(1)

NAME
psorder - PostScript pageorder filter

SYNOPSIS
psorder [-duf] sourcefile

DESCRIPTION
psorder is a filter that re-orders the pages of a PostScript document. The result is written to the standard output. By default, documents are processed into ascending order (the lowest numbered page is printed first). Some PostScript documents specify that the order of their pages should never be changed; the default action of psorder is to follow this specification.

If no source file is given, or if sourcefile is `-', psorder reads from the standard input file.

OPTIONS

-d  Re-order the pages of the document in downward or descending order. This is typically used to change the order of a document to be printed by a printer that stacks pages face-up, such as an Apple LaserWriter or LaserWriter Plus.

-u  Specifies forward order, and is the default. It is used to try and ensure the correct ordering when a document will be printed by a printer that stacks the pages face-down.

-f  Force psorder to re-order the pages, even if the document claims that its page order is not to be trifled with. This option should only be used experimentally, as it may cause documents to print incorrectly.

SEE ALSO
psf(8), lpr(1).